dagclock(1)

NAME
dagclock - Endace DAG clock utility

SYNOPSIS
dagclock [options] [commands]

DESCRIPTION
dagclock synchronizes the DUCK's (DAG Universal Clock Kit) time to system time. When run with the -v option, dagclock will stay in the foreground and display the tracking parameters, otherwise it will fork into daemon mode.

OPTIONS

-d DEVICE

--device DEVICE
    Use the DAG device referred to by DEVICE. Supported syntax includes 0, dag1, and /dev/dag3 to refer to DAG cards, and 0:2, dag1:1, and /dev/dag2:0 to refer to specific streams on cards.

-h

-?

--help

--usage
    Display usage (help) information.

-k

--sync
    Wait for the DUCK (DAG Universal Clock Kit) to synchronize before exiting.

-K NUM

--timeout NUM
    Set the synchronization timeout to NUM seconds (default 60).

-l NUM

--threshold NUM
    Set the health threshold to NUM nanoseconds (default 596).

-m

--monitor
    Monitor clock health and display each second

-v

--verbose
    Increase output verbosity.

-V

--version
    Display version information.

-x

--clearstats
    Clear the clock statistics.

COMMANDS
The clock commands are:

default
    RS422 in, none out.

auxin
    Aux input (unused).

hostin
    Host input (unused).

hostout
    Output from host (unused).

loop
    Output the selected input.

none
    None in, none out.

overin
    Internal input (synchronize to host clock).

overout
    Internal output (master card).

reset
    Full clock reset: Clock set from PC, RS422 in, none out.

rs422in
    RS422 input.

rs422out
    Output the rs422 input signal.

set Set DAG Clock to PC clock.

sync
    Wait for synchronization (or timeout) before exiting.

SEE ALSO
dagtime(1).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: nuwan.gunasekara $
$Revision: 13728 $
$Date: 2011-01-14 17:10:52 +1300 (Fri, 14 Jan 2011) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.